# SourcePath: iperf/20170407dev
Summary: Tool for performing network throughput measurements.
Name: sony-target-dev-iperf
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-iperf
Version: 2.0.5
Release: 14000101
Source: iperf-%{version}.tar.gz
Patch1: iperf-2.0.5-aarch64.patch
Patch2: iperf-2.0.5-gcc-6.4-build-fix.patch
License: LGPLv2.1
URL: https://sourceforge.net/projects/iperf/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}


%description
iperf is a tool for active measurements of the maximum achievable
bandwidth on IP networks.

# iperf

%package -n %{pkgname}
Summary: Tool for performing network throughput measurements.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
iperf is a tool for active measurements of the maximum achievable
bandwidth on IP networks.

%prep
%setup -n iperf-%{version}
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
export ac_cv_func_malloc_0_nonnull=yes
%sony_target_dev_configure \
        --exec_prefix=%{sony_target_dev_exec_prefix} \
        --libdir=%{sony_target_dev_lib_dir} \
        | tee build.log

make | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_install_setup
%sony_target_dev_makeinstall

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "optinfo" -a "$l" != "optinfo" ]; then
      ln -s ../..%{sony_target_devtool_lib_dir}/$l \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
   fi
done

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/iperf

%changelog
* Wed Oct 28 2020 Sony Corporation
- Initial build for CE Linux 14.0.1.X

* Mon Jan 27 2020 Sony Corporation
- Updated License to LGPLv2.1.

* Fri Jul 05 2019 Sony Corporation
- Initial build
